Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

We are on linux (centOS) system and we patched our server from cf 9.0.1 to latest cumulative hotfix of cf9.0.1 which was cfh4

after applying the hotfix, we are unable to open the administrator and getting this issue:

Object instantiation exception.
An exception occurred while instantiating a Java object. The class must not be an interface or an abstract class. Error: org/owasp/esapi/errors/EncodingException.

The error occurred in C:\Project\workspace\depot\ColdFusion\cf9_u1_final_hotfix\cfusion\wwwroot\CFIDE\administrator\Application.cfm: line 69
Called from C:\Project\workspace\depot\ColdFusion\cf9_u1_final_hotfix\cfusion\wwwroot\CFIDE\administrator\Application.cfm: line 4
Called from C:\Project\workspace\depot\ColdFusion\cf9_u1_final_hotfix\cfusion\wwwroot\CFIDE\administrator\Application.cfm: line 1
Called from C:\Project\workspace\depot\ColdFusion\cf9_u1_final_hotfix\cfusion\wwwroot\CFIDE\administrator\Application.cfm: line 69
Called from C:\Project\workspace\depot\ColdFusion\cf9_u1_final_hotfix\cfusion\wwwroot\CFIDE\administrator\Application.cfm: line 4
Called from C:\Project\workspace\depot\ColdFusion\cf9_u1_final_hotfix\cfusion\wwwroot\CFIDE\administrator\Application.cfm: line 1

-1 : Unable to display error's location in a CFML template. 

i used the unofficial updater 2 and it patched but it shows the update as:

/opt/coldfusion9/lib/updates/hf901-00010.jar  

does it mean it updated to latest cumulative hotfix 4 including security updates

share|improve this question
    
Did you reinstall the hotfix (possibly removing any previous ones too) as per the advice offered on the Stack Overflow version of this question? –  Adam Cameron Aug 15 '13 at 20:18
    
i am trying again, i will remerge the files in cfide, web-inf and the lib folders, even i installed jpedal –  Misty Aug 15 '13 at 20:21

1 Answer 1

Misty - here's some additional info from myself and Wil (coldfusionmuse and trunkful).

This doc is helpful: http://helpx.adobe.com/coldfusion/kb/hot-fixes-coldfusion-9.html

Wil says remember that you need to apply both the Jar files AND the CFIDE files.

If this part of the error "cf9_u1_final_hotfix" refers to the hotpatch correctly they they did install the correct update for CF9.0.1

A common mistake is to apply the wrong CFH4 patch - there's one for 9.0, 9.0.1 and 9.0.2 (believe it or not).

Finally, from my point of view, I have a lot of "versions" and environments that I work with - IIS, Apache, custemer servers, in house servers. Sometimes I simply get the files (in particular the CFIDE files) put in the wrong folder - especially with regard to mutli-server or apache vs. IIS etc. I know it's simple but triple check where you put 'em. Good luck :)

share|improve this answer
    
Hi Mark, I checked it before i installed, once again i am doing it and will post again if i encounter any issue –  Misty Aug 15 '13 at 21:32

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.